Index: src/libcfa/concurrency/alarm.c
===================================================================
--- src/libcfa/concurrency/alarm.c	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/alarm.c	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -41,9 +41,9 @@
 void ?{}( __cfa_time_t & this, zero_t zero ) { this.val = 0; }
 
-void ?{}( itimerval & this, __cfa_time_t * alarm ) with( this ) {
-	it_value.tv_sec = alarm->val / one_second;			// seconds
-	it_value.tv_usec = max( (alarm->val % one_second) / one_microsecond, 1000 ); // microseconds
-	it_interval.tv_sec = 0;
-	it_interval.tv_usec = 0;
+void ?{}( itimerval & this, __cfa_time_t * alarm ) {
+	this.it_value.tv_sec = alarm->val / one_second;			// seconds
+	this.it_value.tv_usec = max( (alarm->val % one_second) / one_microsecond, 1000 ); // microseconds
+	this.it_interval.tv_sec = 0;
+	this.it_interval.tv_usec = 0;
 }
 
@@ -84,20 +84,20 @@
 //=============================================================================================
 
-void ?{}( alarm_node_t & this, thread_desc * thrd, __cfa_time_t alarm = zero_time, __cfa_time_t period = zero_time ) with( this ) {
+void ?{}( alarm_node_t & this, thread_desc * thrd, __cfa_time_t alarm = zero_time, __cfa_time_t period = zero_time ) {
 	this.thrd = thrd;
 	this.alarm = alarm;
 	this.period = period;
-	next = 0;
-	set = false;
-	kernel_alarm = false;
-}
-
-void ?{}( alarm_node_t & this, processor   * proc, __cfa_time_t alarm = zero_time, __cfa_time_t period = zero_time ) with( this ) {
+	this.next = 0;
+	this.set = false;
+	this.kernel_alarm = false;
+}
+
+void ?{}( alarm_node_t & this, processor   * proc, __cfa_time_t alarm = zero_time, __cfa_time_t period = zero_time ) {
 	this.proc = proc;
 	this.alarm = alarm;
 	this.period = period;
-	next = 0;
-	set = false;
-	kernel_alarm = true;
+	this.next = 0;
+	this.set = false;
+	this.kernel_alarm = true;
 }
 
Index: src/libcfa/concurrency/alarm.h
===================================================================
--- src/libcfa/concurrency/alarm.h	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/alarm.h	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -114,7 +114,7 @@
 };
 
-static inline void ?{}( alarm_list_t & this ) with( this ) {
-	head = 0;
-	tail = &head;
+static inline void ?{}( alarm_list_t & this ) {
+	this.head = 0;
+	this.tail = &this.head;
 }
 
Index: src/libcfa/concurrency/coroutine.c
===================================================================
--- src/libcfa/concurrency/coroutine.c	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/coroutine.c	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -39,12 +39,12 @@
 //-----------------------------------------------------------------------------
 // Coroutine ctors and dtors
-void ?{}(coStack_t& this) with( this ) {
-	size		= 65000;	// size of stack
-	storage	= NULL;	// pointer to stack
-	limit		= NULL;	// stack grows towards stack limit
-	base		= NULL;	// base of stack
-	context	= NULL;	// address of cfa_context_t
-	top		= NULL;	// address of top of storage
-	userStack	= false;
+void ?{}(coStack_t& this) {
+	this.size		= 65000;	// size of stack
+	this.storage	= NULL;	// pointer to stack
+	this.limit		= NULL;	// stack grows towards stack limit
+	this.base		= NULL;	// base of stack
+	this.context	= NULL;	// address of cfa_context_t
+	this.top		= NULL;	// address of top of storage
+	this.userStack	= false;
 }
 
@@ -60,10 +60,10 @@
 }
 
-void ?{}(coroutine_desc& this, const char * name) with( this ) {
+void ?{}(coroutine_desc& this, const char * name) {
 	this.name = name;
-	errno_ = 0;
-	state = Start;
-	starter = NULL;
-	last = NULL;
+	this.errno_ = 0;
+	this.state = Start;
+	this.starter = NULL;
+	this.last = NULL;
 }
 
Index: src/libcfa/concurrency/kernel.c
===================================================================
--- src/libcfa/concurrency/kernel.c	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/kernel.c	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -142,21 +142,21 @@
 }
 
-void ?{}(processor & this, cluster * cltr) with( this ) {
+void ?{}(processor & this, cluster * cltr) {
 	this.cltr = cltr;
-	terminated{ 0 };
-	do_terminate = false;
-	preemption_alarm = NULL;
-	pending_preemption = false;
+	this.terminated{ 0 };
+	this.do_terminate = false;
+	this.preemption_alarm = NULL;
+	this.pending_preemption = false;
 
 	start( &this );
 }
 
-void ?{}(processor & this, cluster * cltr, processorCtx_t & runner) with( this ) {
+void ?{}(processor & this, cluster * cltr, processorCtx_t & runner) {
 	this.cltr = cltr;
-	terminated{ 0 };
-	do_terminate = false;
-	preemption_alarm = NULL;
-	pending_preemption = false;
-	kernel_thread = pthread_self();
+	this.terminated{ 0 };
+	this.do_terminate = false;
+	this.preemption_alarm = NULL;
+	this.pending_preemption = false;
+	this.kernel_thread = pthread_self();
 
 	this.runner = &runner;
Index: src/libcfa/concurrency/monitor
===================================================================
--- src/libcfa/concurrency/monitor	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/monitor	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -27,14 +27,14 @@
 };
 
-static inline void ?{}(monitor_desc & this) with( this ) {
-	lock{};
-	entry_queue{};
-	signal_stack{};
-	owner         = NULL;
-	recursion     = 0;
-	mask.accepted = NULL;
-	mask.data     = NULL;
-	mask.size     = 0;
-	dtor_node     = NULL;
+static inline void ?{}(monitor_desc & this) {
+	(this.lock){};
+	(this.entry_queue){};
+	(this.signal_stack){};
+	this.owner         = NULL;
+	this.recursion     = 0;
+	this.mask.accepted = NULL;
+	this.mask.data     = NULL;
+	this.mask.size     = 0;
+	this.dtor_node     = NULL;
 }
 
Index: src/libcfa/concurrency/monitor.c
===================================================================
--- src/libcfa/concurrency/monitor.c	(revision d56ca3549a29e84c57908987b2e9e0f6adc5ba42)
+++ src/libcfa/concurrency/monitor.c	(revision cfe2f0ac7fc585b64829e7caeaa93112b4db9589)
@@ -358,9 +358,9 @@
 }
 
-void ?{}(__condition_criterion_t & this ) with( this ) {
-	ready  = false;
-	target = NULL;
-	owner  = NULL;
-	next   = NULL;
+void ?{}(__condition_criterion_t & this ) {
+	this.ready  = false;
+	this.target = NULL;
+	this.owner  = NULL;
+	this.next   = NULL;
 }
 
